Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Write_File Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_File:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_File:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_Asynch_Write_File (ACE_POSIX_Proactor *posix_proactor)
| Constructor.
int | write (ACE_Message_Block &message_block, size_t bytes_to_write, u_long offset, u_long offset_high, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_Asynch_Write_File (void)
| Destructor.
## Private Methods
int | write (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number=0)

## Detailed Description

This class provides concrete implementation for <ACE_Asynch_Write_File> for POSIX platforms where the completion strategy for Proactor is based on AIOCB (AIO Control Blocks).

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_File::ACE_POSIX_Asynch_Write_File | ( | ACE_POSIX_Proactor * | posix_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Write_File::~ACE_POSIX_Asynch_Write_File | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Write_File::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[private, virtual]`

| This <write> belongs to ACE_POSIX_Asynch_Write_Stream. We have put this here to avoid compiler warnings. We forward this method call to the <ACE_POSIX_Asynch_Write_Stream::write> one. Implements ACE_Asynch_Write_File_Impl.

int ACE_POSIX_Asynch_Write_File::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[virtual]`

| This starts off an asynchronous write. Upto <bytes_to_write> will be written and stored in the <message_block>. The write will start at <offset> from the beginning of the file. Implements ACE_Asynch_Write_File_Impl.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp